// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.blr.platform.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>LisPM</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>LisPM.createInstance()</code> or <code>new LisPM()</code>. </p>
 * <ul>
 *     <li> Country: Belarus (BLR) = <code>246</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Small Wheeled Utility Vehicle = <code>6</code>; </li>
 *     <li> SubCategory: LisPM  = <code>2</code>; </li>
 *     <li> Specific:  <code>(none)</code>; </li>
 *     <li> Entity type uid: 34214; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v30-DRAFT-20220129-d11 (2022-01-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SubCategoryElem@204f30ec. </p>
 * @see Country#BELARUS_BLR
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see SmallWheeledUtilityVehicle
 * @see SubCategory

 */
public final class LisPM extends EntityType
{
    /** Default constructor */
    public LisPM()
    {
        setCountry(Country.BELARUS_BLR);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)6); // uid 34213, Small Wheeled Utility Vehicle
        setSubCategory((byte)2); // uid 34214, Lis-PM
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static LisPM createInstance()
    {
            return new LisPM();
    }
}
