// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.fra.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>R98Clemenceau</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>R98Clemenceau.createInstance()</code> or <code>new R98Clemenceau()</code>. </p>
 * <ul>
 *     <li> Country: France (FRA) = <code>71</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Carrier (Porte-Avions) = <code>1</code>; </li>
 *     <li> SubCategory: ClemenceauclassCV  = <code>2</code>; </li>
 *     <li> Specific: R98Clemenceau  = <code>1</code>; </li>
 *     <li> Entity type uid: 15927; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v30-DRAFT-20220129-d11 (2022-01-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@147a5d08. </p>
 * @see Country#FRANCE_FRA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see CarrierPorteAvions
 * @see SubCategory

 */
public final class R98Clemenceau extends EntityType
{
    /** Default constructor */
    public R98Clemenceau()
    {
        setCountry(Country.FRANCE_FRA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)1); // uid 15923, Carrier (Porte-Avions)
        setSubCategory((byte)2); // uid 15926, Clemenceau class (CV)
        setSpecific((byte)1); // uid 15927, R 98 Clemenceau
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static R98Clemenceau createInstance()
    {
            return new R98Clemenceau();
    }
}
