// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.jpn.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>PG829Shirataka</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>PG829Shirataka.createInstance()</code> or <code>new PG829Shirataka()</code>. </p>
 * <ul>
 *     <li> Country: Japan (JPN) = <code>110</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Light/Patrol Craft = <code>7</code>; </li>
 *     <li> SubCategory: HayabusaClassPTG  = <code>1</code>; </li>
 *     <li> Specific: PG829Shirataka  = <code>6</code>; </li>
 *     <li> Entity type uid: 33641; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v30-DRAFT-20220129-d11 (2022-01-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@5cad8b7d. </p>
 * @see Country#JAPAN_JPN
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see LightPatrolCraft
 * @see SubCategory

 */
public final class PG829Shirataka extends EntityType
{
    /** Default constructor */
    public PG829Shirataka()
    {
        setCountry(Country.JAPAN_JPN);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)7); // uid 33634, Light/Patrol Craft
        setSubCategory((byte)1); // uid 33635, Hayabusa Class (PTG)
        setSpecific((byte)6); // uid 33641, PG-829 Shirataka
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static PG829Shirataka createInstance()
    {
            return new PG829Shirataka();
    }
}
