// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.kir.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>Teanoai</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>Teanoai.createInstance()</code> or <code>new Teanoai()</code>. </p>
 * <ul>
 *     <li> Country: Kiribati (KIR) = <code>118</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Light/Patrol Craft = <code>7</code>; </li>
 *     <li> SubCategory: PacificClassPatrolBoat  = <code>1</code>; </li>
 *     <li> Specific: Teanoai  = <code>1</code>; </li>
 *     <li> Entity type uid: 26706; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v30-DRAFT-20220129-d11 (2022-01-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@4e406694. </p>
 * @see Country#KIRIBATI_KIR
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see LightPatrolCraft
 * @see SubCategory

 */
public final class Teanoai extends EntityType
{
    /** Default constructor */
    public Teanoai()
    {
        setCountry(Country.KIRIBATI_KIR);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)7); // uid 26704, Light/Patrol Craft
        setSubCategory((byte)1); // uid 26705, Pacific Class Patrol Boat
        setSpecific((byte)1); // uid 26706, Teanoai
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static Teanoai createInstance()
    {
            return new Teanoai();
    }
}
