// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.kor.platform.air;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>CN235MPA</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>CN235MPA.createInstance()</code> or <code>new CN235MPA()</code>. </p>
 * <ul>
 *     <li> Country: Korea (Republic of) (KOR) = <code>120</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>AIR</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Cargo/Tanker = <code>4</code>; </li>
 *     <li> SubCategory: AircraftTechnologiesIndustriesAirtechCN235  = <code>1</code>; </li>
 *     <li> Specific: CN235MPA  = <code>1</code>; </li>
 *     <li> Entity type uid: 17628; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v30-DRAFT-20220129-d11 (2022-01-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@109f5dd8. </p>
 * @see Country#KOREA_REPUBLIC_OF_KOR
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see CargoTanker
 * @see SubCategory

 */
public final class CN235MPA extends EntityType
{
    /** Default constructor */
    public CN235MPA()
    {
        setCountry(Country.KOREA_REPUBLIC_OF_KOR);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.AIR));

        setCategory((byte)4); // uid 17626, Cargo/Tanker
        setSubCategory((byte)1); // uid 17627, Aircraft Technologies Industries (Airtech) CN-235
        setSpecific((byte)1); // uid 17628, CN-235 MPA
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static CN235MPA createInstance()
    {
            return new CN235MPA();
    }
}
