// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.lka.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>ColomboClassSeriesIII</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>ColomboClassSeriesIII.createInstance()</code> or <code>new ColomboClassSeriesIII()</code>. </p>
 * <ul>
 *     <li> Country: Sri Lanka (LKA) = <code>200</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Light/Patrol Craft = <code>7</code>; </li>
 *     <li> SubCategory: ColomboClassUltraFastAttackCraft  = <code>1</code>; </li>
 *     <li> Specific: ColomboClassSeriesIII  = <code>3</code>; </li>
 *     <li> Entity type uid: 26426; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v30-DRAFT-20220129-d11 (2022-01-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@788ba63e. </p>
 * @see Country#SRI_LANKA_LKA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see LightPatrolCraft
 * @see SubCategory

 */
public final class ColomboClassSeriesIII extends EntityType
{
    /** Default constructor */
    public ColomboClassSeriesIII()
    {
        setCountry(Country.SRI_LANKA_LKA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)7); // uid 26422, Light/Patrol Craft
        setSubCategory((byte)1); // uid 26423, Colombo Class Ultra Fast Attack Craft
        setSpecific((byte)3); // uid 26426, Colombo Class Series III
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static ColomboClassSeriesIII createInstance()
    {
            return new ColomboClassSeriesIII();
    }
}
