// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.mlt.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>EugeniaB</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>EugeniaB.createInstance()</code> or <code>new EugeniaB()</code>. </p>
 * <ul>
 *     <li> Country: Malta (MLT) = <code>135</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Dry Cargo Ship (Group 2 Merchant) = <code>81</code>; </li>
 *     <li> SubCategory: DryBulkCargoShip  = <code>2</code>; </li>
 *     <li> Specific: EugeniaB  = <code>2</code>; </li>
 *     <li> Entity type uid: 24548; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v30-DRAFT-20220129-d11 (2022-01-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@37d00a23. </p>
 * @see Country#MALTA_MLT
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see DryCargoShipGroup2Merchant
 * @see SubCategory

 */
public final class EugeniaB extends EntityType
{
    /** Default constructor */
    public EugeniaB()
    {
        setCountry(Country.MALTA_MLT);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)81); // uid 24490, Dry Cargo Ship (Group 2 Merchant)
        setSubCategory((byte)2); // uid 24491, Dry Bulk Cargo Ship
        setSpecific((byte)2); // uid 24548, Eugenia B
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static EugeniaB createInstance()
    {
            return new EugeniaB();
    }
}
