// autogenerated using string template disbitset1.txt

package edu.nps.moves.dis7.enumerations;

import edu.nps.moves.dis7.pdus.*;

/**
 * Generated from XML,
 *  UID 551, marshal size 8,
 * ThermalIndicatorsAirLandDomain
 */
public class ThermalIndicatorsAirLandDomain extends DisBitSet 
{

  // autogenerated using string template disbitsetcomment.txt
  /**
   * (bit position 0, boolean) Describes whether the main power plant is hot
   */
  // autogenerated using string template disbitset15.txt
  public static Bits ISMAINPOWERPLANTHOT = new Bits(0, 1);

  // autogenerated using string template disbitsetcomment.txt
  /**
   * (bit position 1, boolean) Describes whether the auxiliary power plant is hot
   */
  // autogenerated using string template disbitset15.txt
  public static Bits ISAUXILIARYPOWERPLANTHOT = new Bits(1, 1);

  // autogenerated using string template disbitsetcomment.txt
  /**
   * (bit position 2, boolean) Describes whether the left/front/top drive train is hot. If there is one drive train available, then use this one. Left/front/top is in relation to the other one with respect to facing forward of the vehicle.
   */
  // autogenerated using string template disbitset15.txt
  public static Bits ISDRIVETRAINHOTLEFTFRONTTOP = new Bits(2, 1);

  // autogenerated using string template disbitsetcomment.txt
  /**
   * (bit position 3, boolean) Describes whether the right/rear/bottom drive train is hot. If there is one drive train available, this one is not used. Right/rear/bottom is in relation to the other one with respect to facing forward of the vehicle.
   */
  // autogenerated using string template disbitset15.txt
  public static Bits ISDRIVETRAINHOTRIGHTREARBOTTOM = new Bits(3, 1);

  // autogenerated using string template disbitsetcomment.txt
  /**
   * (bit position 4, boolean) Describes whether the primary/left gun is hot. Left is in relation to the other one with respect to facing forward of the vehicle (when two are available).
   */
  // autogenerated using string template disbitset15.txt
  public static Bits ISGUNHOTPRIMARYLEFT = new Bits(4, 1);

  // autogenerated using string template disbitsetcomment.txt
  /**
   * (bit position 5, boolean) Describes whether the secondary/right gun is hot. Right is in relation to the other one with respect to facing forward of the vehicle (when two are available).
   */
  // autogenerated using string template disbitset15.txt
  public static Bits ISGUNHOTSECONDARYRIGHT = new Bits(5, 1);

  // autogenerated using string template disbitsetcomment.txt
  /**
   * (bit position 6, length=2) Describes the solar heating characteristics of the vehicle. This might also include the ambient temperature. A value of 0 is no solar heat while 1-3 indicate an index scalar value where 3 is 'hottest.'
   */
  // autogenerated using string template disbitset15.txt
  public static Bits SOLARHEATING = new Bits(6, 2);;
  // autogenerated using string template disbitset2.txt
  /** Internal class */
  public static class Bits
  {
    private int position;
    private int length;
    private int inputmask;
    private Class cls;

    private Bits(int position) {
      this(position,1, null);
    }
    
    private Bits(int position, Class cls) {
      this(position,1, cls);
    }

    private Bits(int position, int length ) {
      this(position,length,null);
    }

    private Bits(int position, int length, Class cls) {
      this.position = position;
      this.length = length;
      this.cls = cls;
      inputmask = calculateMask(length);
    }
  }

  /** Default constructor */
  public ThermalIndicatorsAirLandDomain()
  {
    super(8); // length from bitfield element
  }

  /** Default constructor with parameters
   * @param wh Bits custom data structure
   * @param value bits of interest  */
  public ThermalIndicatorsAirLandDomain(Bits wh, int value)
  {
    this();
    set(wh,value);
  }

  /** Accessor method to set value
   * @param wh Bits custom data structure
   * @param value bits of interest
   * @return this object */
  public ThermalIndicatorsAirLandDomain set(Bits wh, int value)
  {
    //if((value & ~wh.inputmask) != 0)
    //  throw new EnumNotFoundException("bad bits passed to "+getClass().getSimpleName()+", field "+wh.name() + " cannot be "+value);

    setbits(wh.position,wh.length,value);
    return this;
  }
/*
  public ThermalIndicatorsAirLandDomain set(Bits wh, Object val) throws Exception
  {
    if(val.getClass() != wh.cls)
      throw new EnumNotFoundException("bad enum passed to "+getClass().getSimpleName()+", field "+wh.name() + " cannot be "+val.getClass().getSimpleName());;
    Method getValueMethod = wh.cls.getMethod("getValue",null);
    int bits = (int)getValueMethod.invoke(val, (Object[])null);
    setbits(wh.position,wh.length,bits);
    return this;
  }
*/
  /** Some bitfields are defined without specific bits enumerated
   * @param start initial position in bit array
   * @param length number of bits
   * @param value bits of interest
   * @return this object */
  public ThermalIndicatorsAirLandDomain set(int start, int length, int value)
  {
      setbits(start,length,value);
      return this;
  }

  /** Provide string representation
   * @return string representation */
  @Override
  public String toString()
  {
      return "ThermalIndicatorsAirLandDomain: " + super.toString();
  }
}
